Download one backup bundle's verbatim bytes (.drbundle)
GET
/v1/console/dr/backups/{id}/download
const url = 'https://example.com/v1/console/dr/backups/example/download';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/console/dr/backups/example/download \ --header 'Authorization: Bearer <token>'Streams one backup bundle’s verbatim encrypted bytes (.drbundle).
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” id
required
string
The backup’s bundle id (its filename).
Responses
Section titled “ Responses ”The encrypted DR bundle
Media type application/octet-stream
string
Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}